Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002295TestLinkGeneralpublic2009-03-27 23:232009-05-11 15:55
Reporterkcurran 
Assigned Toamitkhullar 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.8.2 
Summary0002295: bad url being generated when multiple logins detected and user attempts to logout
DescriptionAn user attempted to login but but was informed that

      There is still a valid login for your browser.
      Please use this link >>> Logout <<< at first if you would like to renew your session

After clicking on Logout, the resulting URL was bad.

Normally, the URL is in the format of http://host/testlink/index.php, [^] after clicking on logout the url was http://host/login.php?note=expired [^] missing teh testlink path.

Looking at a wireshark capture, the returned url was


top.location.href='../../login.php?note=expired'

I changed checkSessionValid call from

      redirect($fName."?note=expired","top.location");

to
     redirect($_SESSION['basehref'] . "login.php?note=expired","top.location");

which seemed to fix the problem
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0006355)
amitkhullar (reporter)
2009-04-14 15:30

and Head

- Issue History
Date Modified Username Field Change
2009-03-27 23:23 kcurran New Issue
2009-04-14 15:10 amitkhullar Status new => assigned
2009-04-14 15:10 amitkhullar Assigned To => amitkhullar
2009-04-14 15:30 amitkhullar Status assigned => resolved
2009-04-14 15:30 amitkhullar Fixed in Version => 1.8.2 (bug fixing)
2009-04-14 15:30 amitkhullar Resolution open => fixed
2009-04-14 15:30 amitkhullar Note Added: 0006355
2009-05-11 15:55 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker